Triage issue
curl --request POST \
--url https://api.example.com/api/issues/{deploymentId}/issue/{issueId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"deploymentId": "<string>",
"issueId": "<string>"
}
'import requests
url = "https://api.example.com/api/issues/{deploymentId}/issue/{issueId}"
payload = {
"deploymentId": "<string>",
"issueId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({deploymentId: '<string>', issueId: '<string>'})
};
fetch('https://api.example.com/api/issues/{deploymentId}/issue/{issueId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<string>",
"deploymentId": "<string>",
"title": "<string>",
"description": "<string>",
"reasoning": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"lastDetectedAt": "2023-11-07T05:31:56Z",
"triagedAt": "2023-11-07T05:31:56Z",
"actions": [
"<string>"
],
"workflowIds": [
"<string>"
],
"identities": [
"<string>"
],
"triggerSources": [
"<string>"
],
"projectIds": [
"<string>"
],
"refIds": [
"<string>"
],
"filePaths": [
"<string>"
],
"dependencyPaths": [
"<string>"
],
"directDependencies": [
"<string>"
],
"domains": [
"<string>"
],
"cwes": [
"<string>"
],
"owasps": [
"<string>"
]
}
}Issues (Semgrep Agentic Workflows)
Triage issue
Set the triage state and reason for a Semgrep Agentic Workflows issue.
POST
/
api
/
issues
/
{deploymentId}
/
issue
/
{issueId}
Triage issue
This endpoint is experimental. It may change or be removed without notice, and is not covered by API stability guarantees.
Authorizations
SemgrepWebTokenSemgrepJWT
Get access to data with your API token. Example header:
Authorization: Bearer 2991e2fb4b540fe75b8f90677b0b892b6314e4961cb001fe6eb452eee248a628
The token can be provisioned from the Tokens section in your Settings, and requires explicitly enabling Web API access.
Body
application/json
| value | description |
|---|---|
| TRIAGE_STATE_IGNORED | |
| TRIAGE_STATE_OPEN | |
| TRIAGE_STATE_REOPENED | |
| TRIAGE_STATE_REVIEWING | |
| TRIAGE_STATE_FIXING | |
| TRIAGE_STATE_PROVISIONALLY_IGNORED | |
| TRIAGE_STATE_FIXED |
Available options:
TRIAGE_STATE_IGNORED, TRIAGE_STATE_OPEN, TRIAGE_STATE_REOPENED, TRIAGE_STATE_REVIEWING, TRIAGE_STATE_FIXING, TRIAGE_STATE_PROVISIONALLY_IGNORED, TRIAGE_STATE_FIXED | value | description |
|---|---|
| TRIAGE_REASON_FALSE_POSITIVE | |
| TRIAGE_REASON_ACCEPTABLE_RISK | |
| TRIAGE_REASON_NO_TIME |
Available options:
TRIAGE_REASON_FALSE_POSITIVE, TRIAGE_REASON_ACCEPTABLE_RISK, TRIAGE_REASON_NO_TIME Response
200 - application/json
OK
An issue generated by a Semgrep Agentic Workflow.
Show child attributes
Show child attributes
Was this page helpful?
⌘I